class Maya:
    def __init__(self):
        self.nombre = []
    def ajouter(self, chiffre):
        """ chiffre est une liste de longueur 3.
        La méthode empile le chiffre au sommet de la pile """
        self.nombre.append(chiffre)
    def retirer(self):
        """ depile et renvoie le chiffre qui etait au sommet de
            la pile """
        if not self.estVide():
            return self.nombre.pop()    
    def estVide(self):
        return self.nombre == []
    def nbEtages(self):
        """ renvoie le nombre de chiffres de la pile """
        ...
    def MayaToDec(self):
        """ renvoie le nombre entier correspondant a la
        modelisation Maya de l'instance courante """
        coeff = 20**...
        ch_Dec = 0
        while ... :
            ch_Maya = ...
            ch_Dec = ch_Dec + (valeurChiffre(ch_Maya)) * coeff
            coeff = ...
        return ch_Dec
    def multiplie(self):
        """ renvoie le resultat de la multiplication par 20 d'un
        nombre en modelisation Maya. """
        ...  
    def somme(self, maya2):
        """ ajoute maya2 à l'instance courante et renvoie le
        resultat en modelisation Maya """
        if self.nbEtages() == maya2.nbEtages()
            ...